# POST a unit's final disposition Client endpoint to which final disposition update is posted to. This endpoint along with any authentication mechanisms needed must be communicated to client’s account manager. Endpoint: POST /final_dispositions Version: 1.0.0 ## Request fields (application/json): - `disposition` (string, required) A flag indicating which channel this pallet is designated for. Possible values are: b2b, d2c, client_liquidation, destroy, dispose, donate, outlets, recycle, removed, rts, rts_drop_ship, rtv, stock_transfer Example: "rts" - `timestamp` (string, required) iso8601 formatted date string (YYYY-MM-DDT00:00:00) in UTC Example: "2018-03-20T00:00:00" - `location_identifier` (string, required) Shared storage location identifier (lot name, present in both Optoro and client’s system) representing the units final location Example: "RTS-1112" - `warehouse_identifier` (string, required) Indicates the warehouse where the unit was located. Identifier can be configured by the client; otherwise will default to Optoro’s internal warehouse identifier. Example: "22" - `optiturn_lp` (string, required) Unique alphanumeric id of the unit Example: "LPAA1234567" - `program_identifier` (string, required) Either a client-provided program name or OptiTurn’s internal program id Example: "parcel_returns" - `sku` (string) The client sku to which this unit belongs Example: "012344566700" - `upc` (string) UPC for the unit Example: "0123456789012" - `condition` (string, required) [N, TT, R, A, B, C, X] final condition value, a condition mapping is often created to match your internal conditions Enum: "N", "TT", "R", "A", "B", "C", "X" - `reference_unit_identifier` (string) A client-provided identifier for the unit, likely provided by an inbound integration Example: "Unit A" - `store_identifier` (string) The identifier of the store that returned the unit to the warehouse Example: "Store A" - `reason` (string) The cause of the disposition event. Currently only populated for remove and dispose events. See below for available values. Remove Dispose internal_use duplicate_item lost_item client_request counterfeit hazmat recall other no_item_in_box physically_damaged hygiene_issue expired personalization Example: "no_item_in_box" - `shipment_reference_identifier` (string) Uniquely identifies the shipment that left the warehouse. Varies by channel. For example: the order number of an RTS Drop Ship unit. Example: "1" ## Response 200 fields (application/json): - `message` (string) Example: "Success" ## Response 422 fields (application/json): - `message` (string, required) Summary of the error(s). - `errors` (array, required) Containes one or more error objects. - `errors.field` (string, required) JSON path of the field that failed validation. - `errors.code` (string, required) Categorization of validation failure. Defaults to 'invalid'. Enum: "missing_field", "invalid_type", "invalid" ## Response 400 fields ## Response 401 fields ## Response 500 fields ## Response 502 fields